Trying to install background geolocation, what am I doing wrong?

I installed the plugin with cordova plugin add @mauron85/cordova-plugin-background-geolocation, ensured all the sdk tools were downloaded, added <plugin name="@mauron85/cordova-plugin-background-geolocation"/> to my config.xml. I believe I did everything correctly, but I get this error:

[ng] chunk {cordova} cordova.js, cordova.js.map (cordova) 63.5 kB [entry] [rendered]
[ng] chunk {main} main.js, main.js.map (main) 2 kB [initial] [rendered]
[ng] chunk {polyfills} polyfills.js, polyfills.js.map (polyfills) 127 kB [initial] [rendered]
[ng] chunk {runtime} runtime.js, runtime.js.map (runtime) 6.15 kB [entry] [rendered]
[ng] chunk {styles} styles.js, styles.js.map (styles) 99.3 kB [initial] [rendered]
[ng] chunk {vendor} vendor.js, vendor.js.map (vendor) 340 kB [initial] [rendered]
[ng] Date: 2020-07-29T15:28:31.810Z - Hash: 23193db15d135b0fd128 - Time: 8740ms
[ng] ERROR in node_modules/@ionic-native/background-geolocation/index.d.ts:2:10 - error TS2305: Module '"../../../../../../../Users/Josh/Documents/GoWith/node_modules/rxjs/Observable"' has no exported member 'Observable'.
[ng] 2 import { Observable } from 'rxjs/Observable';
[ng]            ~~~~~~~~~~
[ng] node_modules/rxjs/Observable.d.ts:1:15 - error TS2307: Cannot find module 'rxjs-compat/Observable'.
[ng] 1 export * from 'rxjs-compat/Observable';
[ng]                 ~~~~~~~~~~~~~~~~~~~~~~~~
2020-07-29T15:28:31.816Z ionic:lib:serve awaiting TCP connection to localhost:8100

[INFO] Development server running!
       
       Local: http://localhost:8100
       
       Use Ctrl+C to quit this process

Building and deploying app
2020-07-29T15:28:31.826Z ionic:lib:events No process.send, not emitting event serve:ready
2020-07-29T15:28:31.826Z ionic:lib:serve serve details: {
  custom: false,
  protocol: 'http',
  localAddress: 'localhost',
  externalAddress: 'localhost',
  externalNetworkInterfaces: [],
  port: 8100,
  externallyAccessible: false
}
> cordova.cmd build android --device --verbose
No scripts found for hook "before_build".
No scripts found for hook "before_prepare".
Checking config.xml and package.json for saved platforms that haven't been added to the project
Calling plugman.install on plugin "C:UsersJoshDocumentsGoWithpluginscordova-plugin-background-geolocation" for platform "android
Installing "cordova-plugin-background-geolocation" for android
Running command: C:UsersJoshDocumentsGoWithplatformsandroidcordovaversion 
Command finished with error code 0: C:UsersJoshDocumentsGoWithplatformsandroidcordovaversion 
Running command: C:UsersJoshDocumentsGoWithplatformsandroidcordovaversion 
Command finished with error code 0: C:UsersJoshDocumentsGoWithplatformsandroidcordovaversion 
Finding scripts for "before_plugin_install" hook from plugin cordova-plugin-background-geolocation on android platform only.
No scripts found for hook "before_plugin_install".
Install start for "cordova-plugin-background-geolocation" on android.
Beginning processing of action stack for android project...
Error during processing of action! Attempting to revert...
Failed to install 'cordova-plugin-background-geolocation': CordovaError: Uh oh!
"C:UsersJoshDocumentsGoWithplatformsandroidappsrcmainjavacomevgeniijsevaluatorHandlerWrapper.java" already exists!
    at copyNewFile (C:UsersJoshDocumentsGoWithplatformsandroidcordovalibpluginHandlers.js:234:45)
    at install (C:UsersJoshDocumentsGoWithplatformsandroidcordovalibpluginHandlers.js:34:17)
    at ActionStack.process (C:UsersJoshDocumentsGoWithnode_modulescordova-commonsrcActionStack.js:56:25)
    at PluginManager.doOperation (C:UsersJoshDocumentsGoWithnode_modulescordova-commonsrcPluginManager.js:114:20)
    at PluginManager.addPlugin (C:UsersJoshDocumentsGoWithnode_modulescordova-commonsrcPluginManager.js:144:17)
    at C:UsersJoshDocumentsGoWithplatformsandroidcordovaApi.js:210:74
    at _fulfilled (C:UsersJoshDocumentsGoWithnode_modulesqq.js:854:54)
    at C:UsersJoshDocumentsGoWithnode_modulesqq.js:883:30
    at Promise.promise.promiseDispatch (C:UsersJoshDocumentsGoWithnode_modulesqq.js:816:13)
    at C:UsersJoshDocumentsGoWithnode_modulesqq.js:877:14

I have yet to overlook and ensure the support libraries needed are installed. Could that be the issue here? I am unsure how to proceed, can somebody help me interpret these errors?

Go to Source
Author: Josh Voytek